Package org.apache.sysds.runtime.instructions.cp

## Class TriggerPrefetchTask

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.TriggerPrefetchTask

All Implemented Interfaces:
  `Runnable`

    public class TriggerPrefetchTask
    extends Object
    implements Runnable

### Constructor Summary

Constructors
`TriggerPrefetchTask​(MatrixObject mo)`
`TriggerPrefetchTask​(MatrixObject mo, LineageItem li)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TriggerPrefetchTask

    public TriggerPrefetchTask​(MatrixObject mo)

#### TriggerPrefetchTask

    public TriggerPrefetchTask​(MatrixObject mo,
                               LineageItem li)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`